org.apache.ignite.internal.util.gridify

## Class GridifyRangeArgument

- java.lang.Object
- - org.apache.ignite.compute.gridify.aop.GridifyArgumentAdapter
  - - org.apache.ignite.internal.util.gridify.GridifyRangeArgument

All Implemented Interfaces:
  Serializable, GridifyArgument

    public class GridifyRangeArgument
    extends GridifyArgumentAdapter

Convenience adapter for `GridifyArgument` interface. This adapter used in grid task for `GridifySetToSet` and `GridifySetToValue` annotations.

See `Gridify` documentation for more information about execution of `gridified` methods.

See Also:
  `GridifySetToValue`, `GridifySetToSet`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridifyRangeArgument()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Iterator<?>` `getInputIterator()` Returns elements `Iterator` for current input argument.
`int` `getInputSize()` Returns elements size for current input argument or `GridifyUtils.UNKNOWN_SIZE` for unknown input size.
`Class<?>` `getMethodReturnType()` Gets method return type in the same order they appear in method signature.
`int` `getParamIndex()` Gets index identifies where to find data in method signature.
`void` `setMethodReturnType(Class<?> mtdReturnType)` Sets method return type.
`void` `setParamIndex(int paramIdx)` Sets index identifies where to find data in method signature.
`String` `toString()`

### Methods inherited from class org.apache.ignite.compute.gridify.aop.GridifyArgumentAdapter

`getMethodClass, getMethodName, getMethodParameters, getMethodParameterTypes, getTarget, setMethodClass, setMethodName, setMethodParameters, setMethodParameterTypes, setTarget, updateMethodParameter, updateMethodParameterType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridifyRangeArgument

    public GridifyRangeArgument()

### Method Detail

#### getParamIndex

    public int getParamIndex()

Gets index identifies where to find data in method signature.

Returns:
  Index.

#### setParamIndex

    public void setParamIndex(int paramIdx)

Sets index identifies where to find data in method signature.

Parameters:
  `paramIdx` - Index.

#### getMethodReturnType

    public Class<?> getMethodReturnType()

Gets method return type in the same order they appear in method signature.

Returns:
  Method return type.

#### setMethodReturnType

    public void setMethodReturnType(Class<?> mtdReturnType)

Sets method return type.

Parameters:
  `mtdReturnType` - Method return type.

#### getInputIterator

    public Iterator<?> getInputIterator()

Returns elements `Iterator` for current input argument.

Returns:
  Iterator.

#### getInputSize

    public int getInputSize()

Returns elements size for current input argument or `GridifyUtils.UNKNOWN_SIZE` for unknown input size.

Returns:
  Elements size for current input argument or `GridifyUtils.UNKNOWN_SIZE`.

#### toString

    public String toString()

Overrides:
  `toString` in class `GridifyArgumentAdapter`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018